package nl.kallestruik.dtweaks.tweaks.craftingtweaks

import nl.kallestruik.dtweaks.tweaks.ITweak
import org.bukkit.Bukkit
import org.bukkit.Material
import org.bukkit.NamespacedKey
import org.bukkit.Tag
import org.bukkit.inventory.ItemStack
import org.bukkit.inventory.RecipeChoice
import org.bukkit.inventory.ShapedRecipe
import org.bukkit.plugin.java.JavaPlugin

class LogsToChests(
    private val plugin: JavaPlugin
): ITweak {
    private var recipeKey = NamespacedKey(plugin, "chest")

    override fun getIdentifier(): String = "LogsToChests"
    override fun getCategories(): List<String> = listOf("crafting", "survival")

    override fun onEnable() {
        val chestRecipe = ShapedRecipe(recipeKey, ItemStack(Material.CHEST, 4))
        chestRecipe.shape("WWW", "W W", "WWW")
        chestRecipe.setIngredient('W', RecipeChoice.MaterialChoice(Tag.LOGS))

        plugin.server.addRecipe(chestRecipe)
    }

    override fun onDisable() {
        plugin.server.removeRecipe(recipeKey)
    }
}