package nl.kallestruik.dtweaks.tweaks.croptweaks

import nl.kallestruik.dtweaks.tweaks.ITweak
import org.bukkit.Material
import org.bukkit.entity.Player
import org.bukkit.event.EventHandler
import org.bukkit.event.HandlerList
import org.bukkit.event.Listener
import org.bukkit.event.entity.EntityChangeBlockEvent
import org.bukkit.plugin.java.JavaPlugin

class MobsCantTrampleCrops(
    private val plugin: JavaPlugin
): ITweak, Listener {
    override fun getIdentifier(): String = "MobsCantTrampleCrops"
    override fun getCategories(): List<String> = listOf("crops", "mobs", "survival")

    override fun onEnable() {
        plugin.server.pluginManager.registerEvents(this, plugin)
    }

    override fun onDisable() {
        HandlerList.unregisterAll(this)
    }

    @EventHandler
    fun onBlockBreak(event: EntityChangeBlockEvent) {
        if (event.block.type != Material.FARMLAND) return
        if (event.entity is Player) return
        event.isCancelled = true
    }
}